export default class AndroidReportAppearance {
    $get;
    $set;
    constructor(getter, setter) {
        this.$get = getter;
        this.$set = setter;
    }
    /**
     * Action bar buttons background color in clicked state in Report UI
     */
    get actionBarButtonBackgroundClickedColor() {
        return this.$get('ReportActionBarButtonBackgroundClickedColor');
    }
    set actionBarButtonBackgroundClickedColor(val) {
        this.$set('ReportActionBarButtonBackgroundClickedColor', val);
    }
    /**
     * Action bar background color in Report UI
     */
    get actionBarColor() {
        return this.$get('ReportActionBarColor');
    }
    set actionBarColor(val) {
        this.$set('ReportActionBarColor', val);
    }
    /**
     * Action bar buttons text color in Report UI
     */
    get actionBarTextColor() {
        return this.$get('ReportActionBarTextColor');
    }
    set actionBarTextColor(val) {
        this.$set('ReportActionBarTextColor', val);
    }
    /**
     * Report UI background color
     */
    get backgroundColor() {
        return this.$get('ReportBackgroundColor');
    }
    set backgroundColor(val) {
        this.$set('ReportBackgroundColor', val);
    }
    /**
     * EditTexts background color in Report UI
     */
    get editTextBackgroundColor() {
        return this.$get('ReportEditTextBackgroundColor');
    }
    set editTextBackgroundColor(val) {
        this.$set('ReportEditTextBackgroundColor', val);
    }
    /**
     * EditTexts hint text color in Report UI
     */
    get hintColor() {
        return this.$get('ReportHintColor');
    }
    set hintColor(val) {
        this.$set('ReportHintColor', val);
    }
    /**
     * Issue severity label text color in active state in Report UI
     */
    get severityLabelActiveColor() {
        return this.$get('ReportSeverityLabelActiveColor');
    }
    set severityLabelActiveColor(val) {
        this.$set('ReportSeverityLabelActiveColor', val);
    }
    /**
     * TextViews and EditTexts text color in Report UI
     */
    get textColor() {
        return this.$get('ReportTextColor');
    }
    set textColor(val) {
        this.$set('ReportTextColor', val);
    }
    /**
     * Bugsee version number view text color in Report UI
     */
    get versionColor() {
        return this.$get('ReportVersionColor');
    }
    set versionColor(val) {
        this.$set('ReportVersionColor', val);
    }
}
