export default class IOSReportAppearance {
    $get;
    $set;
    constructor(getter, setter) {
        this.$get = getter;
        this.$set = setter;
    }
    /**
     * Background color of Report Controller
     */
    get backgroundColor() {
        return this.$get('reportBackgroundColor');
    }
    set backgroundColor(val) {
        this.$set('reportBackgroundColor', val);
    }
    /**
     * UITableView cells background color
     */
    get cellBackgroundColor() {
        return this.$get('reportCellBackgroundColor');
    }
    set cellBackgroundColor(val) {
        this.$set('reportCellBackgroundColor', val);
    }
    /**
     * Close UIButton cross color
     */
    get closeButtonColor() {
        return this.$get('reportCloseButtonColor');
    }
    set closeButtonColor(val) {
        this.$set('reportCloseButtonColor', val);
    }
    /**
     * UINavigation bar background color
     */
    get navigationBarColor() {
        return this.$get('reportNavigationBarColor');
    }
    set navigationBarColor(val) {
        this.$set('reportNavigationBarColor', val);
    }
    /**
     * UIInputFields placeholder color
     */
    get placeholderColor() {
        return this.$get('reportPlaceholderColor');
    }
    set placeholderColor(val) {
        this.$set('reportPlaceholderColor', val);
    }
    /**
     * Send UIButton text color
     */
    get sendButtonColor() {
        return this.$get('reportSendButtonColor');
    }
    set sendButtonColor(val) {
        this.$set('reportSendButtonColor', val);
    }
    /**
     * UILabels text color
     */
    get textColor() {
        return this.$get('reportTextColor');
    }
    set textColor(val) {
        this.$set('reportTextColor', val);
    }
    /**
     * UILabel with version number text color
     */
    get versionColor() {
        return this.$get('reportVersionColor');
    }
    set versionColor(val) {
        this.$set('reportVersionColor', val);
    }
}
