import consoleComponent from './console';
import attachmentsComponent from './attachments';
import feedbackComponent from './feedback';
import lifecycleComponent from './lifecycle';
import exceptionsComponent from './exceptions';
import networkComponent from './network';
export function intializeComponents(options) {
    consoleComponent.initialize(options);
    attachmentsComponent.initialize(options);
    feedbackComponent.initialize(options);
    lifecycleComponent.initialize(options);
    exceptionsComponent.initialize(options);
    networkComponent.initialize(options);
}
export function setComponentsOptions(options) {
    consoleComponent.setOptions(options);
    attachmentsComponent.setOptions(options);
    feedbackComponent.setOptions(options);
    lifecycleComponent.setOptions(options);
    exceptionsComponent.setOptions(options);
    networkComponent.setOptions(options);
}
export function setComponentsLaunched(newLaunchedState) {
    consoleComponent.launched = newLaunchedState;
    attachmentsComponent.launched = newLaunchedState;
    feedbackComponent.launched = newLaunchedState;
    lifecycleComponent.launched = newLaunchedState;
    exceptionsComponent.launched = newLaunchedState;
    networkComponent.launched = newLaunchedState;
}
