require 'json'

package = JSON.parse(File.read('package.json'))

Pod::Spec.new do |s|
  s.name         = "react-native-bugsee"
  s.version      = package["version"]
  s.summary      = package['description']
  s.description  = package['description']
  s.homepage     = package['homepage']
  s.license      = package['license']
  s.author       = package['author']
  s.platforms    = { :ios => "11.0" }
  s.source       = { :path => '.' }
  s.source_files = 'ios/bridge/*'
  s.frameworks   = 'CoreGraphics', 'AVFoundation', 'CoreMedia', 'CoreMotion', 'SystemConfiguration', 'Foundation', 'CoreTelephony', 'UIKit'
  s.preserve_paths =  '*'
  s.libraries    = 'c++'
  s.requires_arc = true
  s.dependency   'React'
  s.dependency   'Bugsee', '5.5.3'
  s.static_framework = true
end
