export default class IOSFeedbackAppearance {
    $get;
    $set;
    constructor(getter, setter) {
        this.$get = getter;
        this.$set = setter;
    }
    /**
     * Background color of feedback controller
     */
    get backgroundColor() {
        return this.$get('feedbackBackgroundColor');
    }
    set backgroundColor(val) {
        this.$set('feedbackBackgroundColor', val);
    }
    /**
     * Navigation bar and bottom bar colors
     */
    get barsColor() {
        return this.$get('feedbackBarsColor');
    }
    set barsColor(val) {
        this.$set('feedbackBarsColor', val);
    }
    /**
     * Close UIButton cross color
     */
    get closeButtonColor() {
        return this.$get('feedbackCloseButtonColor');
    }
    set closeButtonColor(val) {
        this.$set('feedbackCloseButtonColor', val);
    }
    /**
     * Ask for email popup background color
     */
    get emailBackgroundColor() {
        return this.$get('feedbackEmailBackgroundColor');
    }
    set emailBackgroundColor(val) {
        this.$set('feedbackEmailBackgroundColor', val);
    }
    /**
     * Ask for email continue button background color
     */
    get emailContinueActiveColor() {
        return this.$get('feedbackEmailContinueActiveColor');
    }
    set emailContinueActiveColor(val) {
        this.$set('feedbackEmailContinueActiveColor', val);
    }
    /**
     * Ask for email continue not active button background color
     */
    get emailContinueNotActiveColor() {
        return this.$get('feedbackEmailContinueNotActiveColor');
    }
    set emailContinueNotActiveColor(val) {
        this.$set('feedbackEmailContinueNotActiveColor', val);
    }
    /**
     * Ask for email popup skip button text color
     */
    get emailSkipColor() {
        return this.$get('feedbackEmailSkipColor');
    }
    set emailSkipColor(val) {
        this.$set('feedbackEmailSkipColor', val);
    }
    /**
     * Incoming message bubble background color
     */
    get incomingBubbleColor() {
        return this.$get('feedbackIncomingBubbleColor');
    }
    set incomingBubbleColor(val) {
        this.$set('feedbackIncomingBubbleColor', val);
    }
    /**
     * Incoming message text color
     */
    get incomingTextColor() {
        return this.$get('feedbackIncomingTextColor');
    }
    set incomingTextColor(val) {
        this.$set('feedbackIncomingTextColor', val);
    }
    /**
     * Input message text color
     */
    get inputBackgroundColor() {
        return this.$get('feedbackInputBackgroundColor');
    }
    set inputBackgroundColor(val) {
        this.$set('feedbackInputBackgroundColor', val);
    }
    /**
     * Input message text color
     */
    get feedbackInputTextColor() {
        return this.$get('InputTextColor');
    }
    set feedbackInputTextColor(val) {
        this.$set('InputTextColor', val);
    }
    /**
     * UINavigationBar color
     */
    get navigationBarColor() {
        return this.$get('feedbackNavigationBarColor');
    }
    set navigationBarColor(val) {
        this.$set('feedbackNavigationBarColor', val);
    }
    /**
     * Outgoing message bubble background color
     */
    get outgoingBubbleColor() {
        return this.$get('feedbackOutgoingBubbleColor');
    }
    set outgoingBubbleColor(val) {
        this.$set('feedbackOutgoingBubbleColor', val);
    }
    /**
     * Outgoing message text color
     */
    get outgoingTextColor() {
        return this.$get('feedbackOutgoingTextColor');
    }
    set outgoingTextColor(val) {
        this.$set('feedbackOutgoingTextColor', val);
    }
    /**
     * UINavigationBar title color
     */
    get titleTextColor() {
        return this.$get('feedbackTitleTextColor');
    }
    set titleTextColor(val) {
        this.$set('feedbackTitleTextColor', val);
    }
}
