import { autoParseJson } from '../common/utils';
import { ComponentState } from '../common/componentState';
const state = new ComponentState({
    enabled: true,
    flagName: 'feedbackHandler',
    nativeEventName: 'bgsNewFeedbackMessagesEvent',
    // eslint-disable-next-line no-use-before-define
    nativeEventHandler,
});
async function nativeEventHandler(rawEvent) {
    if (state.launched && state.enabled && state.handlerSet && rawEvent) {
        const parsedEvent = autoParseJson(rawEvent);
        if (parsedEvent) {
            await state.executeHandler(parsedEvent);
        }
    }
}
export default state;
